Cantera 2.6.0

Public Member Functions | List of all members
NotImplementedError Class Reference

An error indicating that an unimplemented function has been called. More...

`#include <ctexceptions.h>`

Inheritance diagram for NotImplementedError:
[legend]
Collaboration diagram for NotImplementedError:
[legend]

## Public Member Functions
| NotImplementedError (const std::string &func)
template<typename... Args>
| NotImplementedError (const std::string &func, const std::string &msg, const Args &... args)
| Alternative constructor taking same arguments as. More...
virtual std::string | getClass () const
| Method overridden by derived classes to indicate their type. More...
Public Member Functions inherited from CanteraError
template<typename... Args>
| CanteraError (const std::string &procedure, const std::string &msg, const Args &... args)
| Normal Constructor for the CanteraError base class. More...
virtual | ~CanteraError () throw ()
| Destructor for base class does nothing. More...
const char * | what () const throw ()
| Get a description of the error. More...
virtual std::string | getMessage () const
| Method overridden by derived classes to format the error message. More...
virtual std::string | getClass () const
| Method overridden by derived classes to indicate their type. More...

## Additional Inherited Members
Protected Member Functions inherited from CanteraError
| CanteraError ()
| Protected default constructor discourages throwing errors containing no information. More...
| CanteraError (const std::string &procedure)
| Constructor used by derived classes that override getMessage() More...
Protected Attributes inherited from CanteraError
std::string | procedure_
| The name of the procedure where the exception occurred. More...
std::string | formattedMessage_
| Formatted message returned by what() More...

## Detailed Description

An error indicating that an unimplemented function has been called.

Definition at line 186 of file ctexceptions.h.

## Constructor & Destructor Documentation

## ◆ NotImplementedError() [1/2]

NotImplementedError | ( | const std::string & | func | ) |
| inline

Parameters

  func | Name of the unimplemented function, such as `ClassName::functionName`

Definition at line 191 of file ctexceptions.h.

## ◆ NotImplementedError() [2/2]

NotImplementedError | ( | const std::string & | func,
|  | const std::string & | msg,
|  | const Args &... | args
| ) |  |
| inline

Alternative constructor taking same arguments as.

See also
  CanteraError

Definition at line 196 of file ctexceptions.h.

## Member Function Documentation

## ◆ getClass()

virtual std::string getClass | ( |  | ) | const
| inline virtual

Method overridden by derived classes to indicate their type.

Reimplemented from CanteraError.

Definition at line 200 of file ctexceptions.h.

The documentation for this class was generated from the following file:

- ctexceptions.h